Bug 306139 - Words crashes after undo insert footnote
Summary: Words crashes after undo insert footnote
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-01 16:26 UTC by Inge Wallin
Modified: 2012-11-06 15:00 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Inge Wallin 2012-09-01 16:26:23 UTC
Words crashes when a second footnote is inserted after on undo.

Reproducible: Always

Steps to Reproduce:
1. Insert some text
2. Insert a footnote
3. Type ctrl-z to undo the insert footnote action
4. Insert another footnote
-> crash
Actual Results:  
crash

Expected Results:  
no crash
Comment 1 Camilla Boemann 2012-11-06 10:48:50 UTC
Git commit c3c2289cd1497e6b5bb7cc95c95a3f69e67a87b4 by C. Boemann.
Committed on 06/11/2012 at 11:03.
Pushed by boemann into branch 'master'.

Make sure we always get a valid pointer to the auxillary frame.
Fixes crashes

M  +5    -9    libs/kotext/KoTextDocument.cpp
M  +0    -2    libs/kotext/KoTextDocument.h
M  +16   -11   libs/kotext/KoTextEditor.cpp
M  +1    -0    libs/kotext/commands/InsertNoteCommand.cpp

http://commits.kde.org/calligra/c3c2289cd1497e6b5bb7cc95c95a3f69e67a87b4
Comment 2 Camilla Boemann 2012-11-06 15:00:02 UTC
Git commit 4034592b0b7670ead4b73dc9c03d06b4e7c74c11 by C. Boemann.
Committed on 06/11/2012 at 11:03.
Pushed by boemann into branch 'calligra/2.6'.

Make sure we always get a valid pointer to the auxillary frame.
Fixes crashes

M  +5    -9    libs/kotext/KoTextDocument.cpp
M  +0    -2    libs/kotext/KoTextDocument.h
M  +16   -11   libs/kotext/KoTextEditor.cpp
M  +1    -0    libs/kotext/commands/InsertNoteCommand.cpp

http://commits.kde.org/calligra/4034592b0b7670ead4b73dc9c03d06b4e7c74c11